require 'spec_helper'

describe Formic::ListItem do
  before(:each) do
    @model = Object.new
    stub(@page).render

    @options = {}
    @block = Proc.new {}
  end

  context "#initialize" do
    before(:each) do
      @list_item = Formic::ListItem.new @page, 'List Item Content', @options, &@block
    end

    it "should have template formic/default/list_item" do
      @list_item.template.should == 'formic/default/list_item'
    end

    it "it should initialize with items" do
      @list_item.text.should == 'List Item Content'
    end
  end
end
