require 'spec_helper'

describe Formic::List do
  before(:each) do
    @model = Object.new
    stub(@page = Object.new).url_for(@model) {'/models/1'}
    stub(@page).render

    @options = {}
    @block = Proc.new {}
  end

  context "#initialize" do
    before(:each) do
      @input = Formic::List.new @page, @options, &@block
    end

    it "should have template formic/default/list" do
      @input.template.should == 'formic/default/list'
    end
  end
end
