require 'spec_helper'

describe Formic::TabPanel do
  before(:each) do
    @model = Object.new
    stub(@page = Object.new).url_for(@model) {'/models/1'}
    stub(@page).render

    @options = {}
    @block = Proc.new {}
  end

  context "#tab_panel" do
    before(:each) do
      @tab_panel = Formic::TabPanel.new @page, @options, &@block
    end

    it "should have template formic/default/tab_panel" do
      @tab_panel.template.should == 'formic/default/tab_panel'
    end

    it "should have class tab_panel" do
      @tab_panel.should have_class 'tab_panel'
    end
  end
end
